Subject: Re: bug#78601: [PATCH] Add tool-bar icons to package-menu-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jun 2025 11:10:15 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 08 Jun 2025 07:13:19 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Philip Kaludercic <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Sat, 07 Jun 2025 21:52:52 +0000
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Ping!  Would someone please try these icons and report?  I feel
> >> > uncomfortable installing new icons without some feedback from others.
> >> 
> >> I don't know what I should report back on
> >
> > Whether the icons are visually appealing, I guess?
> 
> I wouldn't object, because I do not use them, but if I couldn't disable
> the tool-bar, I would (with apologies) not find them that appealing,
> because a visual priority of mine is stylistic consistency, and these
> icons wouldn't fit into the remaining design language GUI on my system(s).

Can you elaborate on how these icons are inconsistent with the other
GUI on your system?  Which aspects are inconsistent.

> FWIW I don't think there is any harm in adding the icons anyway.
> Disregarding visual appeal, I think a slightly less subjective question
> is would it help attract the attention of new users to useful operations
> when they are dealing with packages, and I think that the answer here is
> affirmative.

I'd like to avoid the situation where adding the icons will cause a
flood of complaints about their appearance.